Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Customers

Customers: Invite Email

Sender

Get All

GET https://container-url.zoeysite.com/api/rest/customers/:customerId/invite_email/sender

Get the invite email sender options for the customer.

Example response (Get All), HTTP 200:

[
    {
        "label": "Customer Support (support@example.com)",
        "value": "support"
    },
    {
        "label": "Sales Rep (sales@example.com)",
        "value": "sales@example.com"
    }
]

Send Email

POST https://container-url.zoeysite.com/api/rest/customers/:customerId/invite_email?sender=sender@example.com

Send the invite email to the customer.

Query parameters:

NameExampleNotes
sendersender@example.comCustom email to use as the sender for the invite email.

Example response (Send Email), HTTP 200:

"1"